---
title: Retrieve a site
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getsite/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getsite.png
---

# Retrieve a site

GET

/sites/{site_id}

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/sites/a1b2c3d4-e5f6-41b2-b3d4-e5f6a1b2c3d4 \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the site with the given ID, including its account and the installs that belong to it.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**site_id**

required

string format: uuid

The site ID

#### Example

```
a1b2c3d4-e5f6-41b2-b3d4-e5f6a1b2c3d4
```

## Responses

### 200

Returns a `Site` object.

Media typeapplication/json

object

**id**

required

string format: uuid

**name**

required

string

**account**

required

object

**id**

The account ID

string format: uuid

**group_name**

string

nullable

**tags**

Array\<string>

**created_at**

The date and time the site was created in UTC

string format: date-time

**sandbox**

Whether the site is a sandbox site

boolean

**transferable**

Whether the site is transferable

boolean

**installs**

Array

object

**id**

string format: uuid

**name**

string

**environment**

string

nullable

Allowed values: production staging development

**cname**

Returns the CNAME of the install

string

**php_version**

The PHP version used to run WordPress

string

nullable

**is_multisite**

boolean

nullable

#### Example

```json
{
  "id": "28c78b6d-c2da-4f09-85f5-1ad588089b2d",
  "name": "Torque Magazine",
  "account": {
    "id": "eeda3227-9a39-46ae-9e14-20958bb4e6c9"
  },
  "group_name": "Overdue",
  "tags": [
    "tag1",
    "tag2",
    "tag3"
  ],
  "created_at": "2025-07-10T09:59:58.684Z",
  "sandbox": false,
  "transferable": false,
  "installs": [
    {
      "id": "294deacc-d8b8-4005-82c4-0727ba8ddde0",
      "name": "torquemag",
      "environment": "production",
      "cname": "mywebsite.wpengine.com",
      "php_version": "7.3",
      "is_multisite": false
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
